version: '3.8'

networks:
  k8s-practice-net:
    external: true

services:
  adminer:
    image: adminer:${ADMINER_VERSION}  # Use the version specified in the .env file
    container_name: adminer
    env_file:
      - .env  # Use the environment variables from the .env file
    ports:
      - ${EXPOSE_PORT}:8080  # Expose Adminer port to the host
    networks:
      - k8s-practice-net  # Use the same custom network as MySQL